Bug 1261538 (CVE-2015-5262) - CVE-2015-5262 jakarta-commons-httpclient, httpcomponents-core: missing HTTPS connection timeout
Summary: CVE-2015-5262 jakarta-commons-httpclient, httpcomponents-core: missing HTTPS ...
Status: CLOSED NEXTRELEASE
Alias: CVE-2015-5262
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150903,reported=2...
Keywords: Security
Depends On: 1259892 1262211 1262214 1262207 1262210
Blocks: 1260680
TreeView+ depends on / blocked
 
Reported: 2015-09-09 15:03 UTC by Florian Weimer
Modified: 2015-12-03 15:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 06:21:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA HTTPCLIENT-1478 None None None Never

Description Florian Weimer 2015-09-09 15:03:59 UTC
It was discovered that Apache HttpClient did not apply a configured
connection or read timeout during the initial handshake of an HTTPS
connection.  As a result, HTTPS connection could get stuck, causing
a denial of service if multiple such connections accumulate.

Comment 3 Florian Weimer 2015-09-09 15:09:13 UTC
I could not reproduce this issue with HttpClient 4.2.x, mostly due to lack of relevant APIs.  According to the upstream report, it was fixed in version 4.3.6 of the 4.3.x branch.

Comment 4 Martin Prpič 2015-09-10 07:20:40 UTC
External References:

https://issues.apache.org/jira/browse/HTTPCLIENT-1478

Comment 7 Florian Weimer 2015-09-11 07:41:30 UTC
Created jakarta-commons-httpclient tracking bugs for this issue:

Affects: fedora-all [bug 1262207]

Comment 10 Fedora Update System 2015-10-01 16:06:24 UTC
jakarta-commons-httpclient-3.1-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-10-01 18:51:17 UTC
jakarta-commons-httpclient-3.1-23.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-10-01 20:23:11 UTC
jakarta-commons-httpclient-3.1-20.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.